Subject: [PATCH v2 1/6] wdt: sunxi: Move restart code to the watchdog driver

From: [email-masked] (Maxime Ripard)
Date: Tue, 24 Jun 2014 16:49:54 +0200

On Mon, Jun 23, 2014 at 11:13:24PM +0200, Wim Van Sebroeck wrote:
> Hi Maxime,
> 
> > > > Guenter, since you seem to be the only responsive, may I suggest that
> > > > you start merging patches and do a pull request to either Wim or Linus
> > > > directly during the merge window?
> > > > 
> > > I had prepared a pull request for Wim last weekend or so, but then there
> > > were more patches piling in and I got distracted, so I didn't have time
> > > to actually send it. I'll try again this weekend ... the kids should be
> > > busy learning for their finals, and I'll have Friday and Monday off
> > > from work, so I should be able to find the time.
> > > 
> > > As for sending patches to Linus directly, well, Wim is the watchdog maintainer.
> > > I manage to upset enough people, and would not want to add Wim to the list.
> > > 
> > > The patches _are_ in my watchdog-next branch and get some coverage from
> > > both my auto-builders and from Fenguang's build robots, so while they are
> > > not in linux-next, they are not completely in the dark either.
> > 
> > So, this patch finally didn't make it into 3.16. Great. Now, we can't
> > even reboot the boards.
> 
> 1) For me the discussion was not ended and needs further
> thinking. (And I just read some good ideas about it).

It would have been great for you to mention it then.

> 2) You never mentioned you needed this in for 3.16 and that things
> would break because of it.

http://lists.infradead.org/pipermail/linux-arm-kernel/2014-May/257690.html
http://lists.infradead.org/pipermail/linux-arm-kernel/2014-May/259109.html

I thought it was pretty clear.

> 
> So based on these 2 points why would I have to have put this in allready?
> 
> > Given how it's just impossible to get something merged reliably
> > through the watchdog tree, I guess I should just start merging the
> > patches through mine?
> 
> I agree that I have the problem of having only 24 hours in a day and
> that I lack time to communicate and that I am not good at
> communicating either, but I checked all sunxi related e-mails and
> you never mentioned the constraint to have it in for 3.16...  But I
> do understand your frustration.

I totally understand the lack of time. A good way to ease your burden
and solve this situation is usually to take a co-maintainer. And given
that Guenter already reviews patches, maintains some branch, and is
developping some part of the framework, he seems up to the task.

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140624/65ffa770/attachment.sig>